package cn.hhj.microboot.util.controller;

import java.text.SimpleDateFormat;
import java.util.Locale;

import javax.annotation.Resource;

import org.springframework.beans.propertyeditors.CustomDateEditor;
import org.springframework.context.MessageSource;
import org.springframework.web.bind.WebDataBinder;
import org.springframework.web.bind.annotation.InitBinder;

public abstract class AbstractBaseController {
	@Resource
	private MessageSource messageSource; // 自动注入此资源对象
	public String getMessage(String key, String... args) {
		return this.messageSource.getMessage(key, args, Locale.getDefault()); 
	}
	@InitBinder
	public void initBinder(WebDataBinder binder){
	   SimpleDateFormat sdf=new SimpleDateFormat("yyyy-MM-dd");
	   binder.registerCustomEditor(java.util.Date.class,new CustomDateEditor(sdf,true));
	}
}
