package cn.hhj.microboot.vo;

import java.io.Serializable;
import java.util.Date;

import javax.validation.constraints.Digits;
import javax.validation.constraints.Email;
import javax.validation.constraints.NotNull;

import org.hibernate.validator.constraints.Length;

@SuppressWarnings("serial")
public class Member implements Serializable {
   @NotNull(message = "{member.mid.notnull.error}")
   @Email(message ="{member.mid.email.error}")
   @Length(min = 1,message ="不允许为空！" )
   private String hid;
   @NotNull(message = "{member.age.notnull.error}")
   @Digits(integer = 3,fraction = 0,message = "{member.age.digits.error}")
   private Integer age;
   @NotNull(message = "{member.salary.notnull.error}")
   @Digits(integer = 20,fraction = 2,message = "{member.salary.digits.error}")
   private Double salary;
   @NotNull(message = "{member.birthday.notnull.error}")
   private Date birthday;
	public String getHid() {
		return hid;
	}
	public void setHid(String hid) {
		this.hid = hid;
	}
	public Integer getAge() {
		return age;
	}
	public void setAge(Integer age) {
		this.age = age;
	}
	public Double getSalary() {
		return salary;
	}
	public void setSalary(Double salary) {
		this.salary = salary;
	}
	public Date getBirthday() {
		return birthday;
	}
	public void setBirthday(Date bitrhday) {
		this.birthday = bitrhday;
	}
   
}
