package cn.hhj.microboot.config;

import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

import springfox.documentation.builders.ApiInfoBuilder;
import springfox.documentation.builders.PathSelectors;
import springfox.documentation.builders.RequestHandlerSelectors;
import springfox.documentation.service.ApiInfo;
import springfox.documentation.spi.DocumentationType;
import springfox.documentation.spring.web.plugins.Docket;
import springfox.documentation.swagger2.annotations.EnableSwagger2;

@Configuration
@EnableSwagger2
public class Swagger2Config {
	@Bean
	public Docket getDocket() {//此类主要是整个Swagger的配置项，利用这个类需要指派扫描包
		return new Docket(DocumentationType.SWAGGER_2)
				.apiInfo(this.getApiInfo()).select()
				.apis(RequestHandlerSelectors.basePackage("cn.mldn.microboot.controller"))
				.paths(PathSelectors.any()).build();
	}
	private ApiInfo getApiInfo() {
		return new ApiInfoBuilder()
				.title("SpringBootForSwagger项目构建说明信息")
				.description("更多选择请关注！")
				.termsOfServiceUrl("http://101.132.119.148:8080")
				.contact("HHJ大大")
				.license("YuangKnowSum")
				.version("1.0")
				.build();
	}
}
